圖形 API 版本

Video Copyright

閱讀中

A video copyright

新粉絲專頁體驗

This endpoint is supported for 新粉絲專頁體驗.

範例

Graph API Explorer
GET /v26.0/{video-copyright-id} HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{video-copyright-id}',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{video-copyright-id}",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{video-copyright-id}",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{video-copyright-id}"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
如果想瞭解如何使用圖形 API,請參閱我們的使用圖形 API 指南

參數

這個端點沒有任何參數。

欄位

欄位說明
id
numeric string

The video copyright ID

content_category
enum

The content category of the reference file.

copyright_content_id
numeric string

The copyright content ID

creator

The account that created the copyright

excluded_ownership_segments
list<VideoCopyrightSegment>

The list of audio and video segments excluded from copyright monitoring. This includes both self-defined excluded segments as well as system generated excluded segments.

in_conflict
bool

Whether the video copyright is in active conflict with another rights owner's video copyright.

monitoring_status
enum

Whether the video is monitored successfully for copyright. The status could be NOT_EXAMINED, COPYRIGHTED, and ERROR.

monitoring_type
enum

Whether the video is monitored for VIDEO, AUDIO, or VIDEO_AND_AUDIO

ownership_countries
VideoCopyrightGeoGate

Two string arrays of ISO 3166 format country codes. included_countries are where the owner owns the rights to the content. excluded_countries are where the owner does not own the rights to the content. When both lists are empty, rights ownership is worldwide.

reference_file
CopyrightReferenceContainer

The reference file

reference_file_disabled
bool

Whether the reference file is disabled.

reference_file_disabled_by_ops
bool

Whether the reference file has been disabled by ops.

reference_owner_id
string

The ID of the reference video owner

rule_ids

A list of matching rules applied to the copyrighted content

tags
list<string>

The tags/keywords associated with the copyright

whitelisted_ids
list<numeric string>

A list of page IDs or user IDs, who are allowed to use the copyrighted content.

關係連線

關係連線說明
Edge<MediaCopyrightUpdateRecord>

Update records of the copyright

Error Codes

錯誤說明
368The action attempted has been deemed abusive or is otherwise disallowed

建立中

You can make a POST request to video_copyrights edge from the following paths:
發佈到此關係連線時,會建立 a VideoCopyright

參數

參數說明
attribution_id
numeric string or integer

For Rights Manager Lite, please provide ID of the Page where the attribution should link to. Provide 0 if you want to unlink the reference file with its current attribution. For Rights Manager Pro, please provide ID of the attribution to be displayed for valid monitored videos matching this content.

content_category
enum {episode, movie, web}

A string array representing the reference file's content category

copyright_content_id
numeric string or integer

This is the ID of the content which needs to be copyrighted. It could be an ID of a video, or an ID of a live video.

必填
excluded_ownership_countries
list<UTF-8 encoded string>

A string array of ISO 3166 format country codes, where the owner does not own the rights to the content

excluded_ownership_segments
list<Video Match Segment>

An array of match segments to exclude from the matching algorithm

start_time_in_sec
float

必填
media_type
enum {VIDEO_AND_AUDIO, VIDEO_ONLY, AUDIO_ONLY}

必填
duration_in_sec
float

必填
segment_source
enum {PUBLISHER_DEFINED, PAUSE_LIVE_MONITORING, LABEL_MUTED, PUBLISHER_MUTED, MUSIC_RESTRICTION_MUTED_STILL_VIDEO, MUSIC_RESTRICTION_MUTED_MULTI_TRACK, AUDIO_LIBRARY_USAGE, MELODY, INELIGIBLE_CONTENT}
預設值:PUBLISHER_DEFINED

is_reference_disabled
boolean

If true, stop creating matches for the reference file.

is_reference_video
boolean
預設值:false

True indicates that the content is used only as a reference video, and is not available for consumption on Facebook.

monitoring_type
enum {VIDEO_AND_AUDIO, VIDEO_ONLY, AUDIO_ONLY}

Setting to indicate whether the content has copyright ownership on video, audio, or both.

ownership_countries
list<UTF-8 encoded string>

A string array of ISO 3166 format country codes, where the owner owns the rights of the content

rule_id
numeric string or integer

A copyright rule to be applied to the copyrighted content.

tags
array<string>

The tags/keywords associated with the copyright

whitelisted_ids
list<numeric string>

A list of page IDs or user IDs, who are allowed to use the copyrighted content.

whitelisted_ig_user_ids
list<numeric string>

A list of instagram user IDs who are allowed to use the copyrighted content.

傳回類型

此端點支援寫入後讀取功能,並將讀取傳回類型表示為 id 的節點。
Struct {
id: numeric string,
}

Error Codes

錯誤說明
283That action requires the extended permission pages_read_engagement and/or pages_read_user_content and/or pages_manage_ads and/or pages_manage_metadata
100Invalid parameter

更新中

你可以向 /{video_copyright_id} 提出發佈要求,以更新 a VideoCopyright

參數

參數說明
append_excluded_ownership_segments
boolean

If true, append the excluded ownership segments instead of replacing them

attribution_id
numeric string or integer

The ID of the attribution to be displayed for valid monitored videos matching this content.

content_category
enum {episode, movie, web}

The content category of the copyrighted reference file.

excluded_ownership_countries
list<UTF-8 encoded string>

A string array of ISO 3166 format country codes, where the owner does not own the rights to the content

excluded_ownership_segments
list<Video Match Segment>

An array of match segments to exclude from the matching algorithm. System generated excluded segments may not be replaced.

start_time_in_sec
float

必填
media_type
enum {VIDEO_AND_AUDIO, VIDEO_ONLY, AUDIO_ONLY}

必填
duration_in_sec
float

必填
segment_source
enum {PUBLISHER_DEFINED, PAUSE_LIVE_MONITORING, LABEL_MUTED, PUBLISHER_MUTED, MUSIC_RESTRICTION_MUTED_STILL_VIDEO, MUSIC_RESTRICTION_MUTED_MULTI_TRACK, AUDIO_LIBRARY_USAGE, MELODY, INELIGIBLE_CONTENT}
預設值:PUBLISHER_DEFINED

is_reference_disabled
boolean

If true, stop creating matches for the reference file.

monitoring_type
enum {VIDEO_AND_AUDIO, VIDEO_ONLY, AUDIO_ONLY}

Setting to indicate whether the content has copyright ownership on video, audio, or both.

ownership_countries
list<UTF-8 encoded string>

A string array of ISO 3166 format country codes, where the owner owns the rights to the content

rule_id
numeric string or integer

A copyright policy to be applied to the copyrighted content.

whitelisted_ids
list<numeric string>

A list of page IDs or user IDs, who are allowed to use the copyrighted content.

whitelisted_ig_user_ids
list<numeric string>

A list of Instagram user IDs who are allowed to use the copyrighted content.

傳回類型

此端點支援寫入後讀取功能,並將讀取你傳送 POST 的節點。
Struct {
success: bool,
}

Error Codes

錯誤說明
100Invalid parameter
200Permissions error

刪除中

你無法在此端點執行此操作。